Name:           maven-docck-plugin
Version:        1.0
Release:        5%{?dist}
Summary:        Maven Documentation Checker Plugin

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-docck-plugin/
#svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-docck-plugin-1.0/
#tar jcf maven-docck-plugin-1.0.tar.bz2 maven-docck-plugin-1.0/
Source0:        %{name}-%{version}.tar.bz2

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-plugin-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-shared
BuildRequires: jakarta-commons-httpclient
BuildRequires: maven-plugin-tools
BuildRequires: plexus-utils

Requires:       maven
Requires:       java
Requires:       jpackage-utils
Requires:       apache-commons-logging
Requires:       maven-plugin-tools

Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

Obsoletes: maven2-plugin-docck <= 0:2.0.8
Provides: maven2-plugin-docck = 1:%{version}-%{release}

%description
Checks for violations of the Plugin Documentation Standard.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q 

%build
mvn-rpmbuild install javadoc:javadoc

%install
# jars
install -Dpm 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

%add_to_maven_depmap org.apache.maven.plugins %{name} %{version} JPP %{name}

# poms
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Thu Jun 9 2011 Alexander Kurtakov <akurtako@redhat.com> 1.0-5
- Build with maven 3.x.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 1.0-3
- Add missing requires maven2

* Thu Jun 03 2010 Hui Wang <huwang@redhat.com> - 1.0-2
- Added epoch 1 to provides
- Fixed install instructions in one step
- Used bz2 compression in source0
- Used macros in add_to_maven_depmap

* Tue Jun 01 2010 Hui Wang <huwang@redhat.com> - 1.0-1
- Initial version of the package
